## dmagnetic 0.21

=== debian/changelog ===
dmagnetic (0.21-1) unstable; urgency=medium

  * Update to release 0.21.
  * Some lintian warnings have been removed.
  * Leftover debugging code was creating files
  * dMagnetic is capable of reading MS DOS binaries from more games.

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 18 Jan 2020 22:43:52 +0100

dmagnetic (0.20-1) unstable; urgency=medium

  * Update to release 0.20.
  * It is possible to play with the original MS DOS binaries
  * A glitch in the text output has been removed.
  * The glitch prevented solving jinxter's sliding puzzle.
  * Changed the standards version to 4.4.1

 -- Thomas Dettbarn <dettus@dettus.net>  Wed, 15 Jan 2020 22:14:42 +0100

dmagnetic (0.19-1) unstable; urgency=medium

  * Update to release 0.19.
  * It is possible to play with the original MS DOS binaries
  * New graphic mode (high_ansi2) for the better looking graphics
  * New random number generator for a different playing experience
  * Changed the standards version to 4.4.1

 -- Thomas Dettbarn <dettus@dettus.net>  Fri, 27 Dec 2019 21:23:45 +0100

dmagnetic (0.18-1) unstable; urgency=medium

  * Update to release 0.18.
  * Removed an issue, where sometimes graphics were not shown.

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 11 Nov 2019 20:11:47 +0100

dmagnetic (0.17-1) unstable; urgency=medium

  * Update to release 0.17.
  * Removed some warnings from the mentors.debian.net site.
  * Changed the compat level to 12.
  * Changed the standards version to 4.4.0

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 07 Oct 2019 07:37:59 +0200

dmagnetic (0.16-1) UNRELEASED; urgency=low

  * Initial release. Closes: #929619

 -- Thomas Dettbarn <dettus@dettus.net>  Tue, 23 Jul 2019 12:13:30 +0200
