=== debian/changelog ===
dmagnetic (0.22-1) unstable; urgency=medium

  * Update to release 0.22.
  * Binaries from the Magnetic Windows system can be used for playing.
  * Sixel mode allows for high resolution images in certain xterms.

 -- Thomas Dettbarn <dettus@dettus.net>  Thu, 13 Feb 2020 18:56:15 +0100
