=== debian/control ===
Source: dmagnetic
Section: games
Priority: optional
Maintainer: Thomas Dettbarn <dettus@dettus.net>
Build-Depends: debhelper (>=12)
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://www.dettus.net/dMagnetic/

Package: dmagnetic
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},${misc:Depends}
Description: Interpreter to play textadventures from Magnetic Scrolls in glorious ANSI Art
 dMagnetic is a Magnetic Scrolls Interpreter. It allows one to play classic
 text adventures such as "The Pawn", "The Guild of Thieves", "Fish!", "Myth",
 "Jinxter", "Corruption" and "Wonderland" in a terminal window. The beautiful
 graphics are being rendered in glorious ANSI art.
