## dmagnetic 0.25

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-#!/bin/sh
-#Copyright 2019, dettus@dettus.net
+#!/usr/bin/make -f 
+#
+#Copyright 2020, dettus@dettus.net
 #
 #Redistribution and use in source and binary forms, with or without modification,
 #are permitted provided that the following conditions are met:
@@ -37,9 +38,12 @@
 INCFLAGS=-I$(PROJ_HOME)src/gui -I$(PROJ_HOME)src/toplevel -I$(PROJ_HOME)src/loader -I$(PROJ_HOME)src/engine/vm68k -I$(PROJ_HOME)src/engine/linea -I$(PROJ_HOME)src/engine/include 
 OBJDIR=$(PROJ_HOME)obj/
 LINK=$(CC)
-LDFLAGS="-L"$(OBJDIR)
+LDFLAGS+="-L"$(OBJDIR)
 
 SOURCES_LOADER=	\
+	src/loader/loader_msdos.c	\
+	src/loader/loader_mw.c		\
+	src/loader/loader_d64.c		\
 	src/loader/maggfxloader.c
 
 SOURCES_LINEA=	\
@@ -54,6 +58,7 @@
 
 SOURCES_GUI=	\
 	src/gui/default_callbacks.c	\
+	src/gui/default_palette.c	\
 	src/gui/default_render.c
 
 SOURCES_TOPLEVEL=	\
@@ -92,8 +97,12 @@
 
 
 dMagnetic:	$(OBJ_LOADER) $(OBJ_LINEA) $(OBJ_VM68K) $(OBJ_GUI) $(OBJ_TOPLEVEL)
-	$(LINK) -o $@ $(OBJ_LOADER) $(OBJ_LINEA) $(OBJ_VM68K) $(OBJ_GUI) $(OBJ_TOPLEVEL)
+	$(LINK) $(LDFLAGS) -o $@ $(OBJ_LOADER) $(OBJ_LINEA) $(OBJ_VM68K) $(OBJ_GUI) $(OBJ_TOPLEVEL)
 
 .c.o:
 	$(CC) $(CFLAGS) $(CFLAGS_EXTRA) $(INCFLAGS) -c -o $@ $<
 
+
+## in case some post-compilation checks are needed
+## if not, please comment out this line
+include ./checks.mk
