=== debian/changelog ===
dmagnetic (0.25-2) unstable; urgency=medium

  * Build with -ffloat-store on i386 to fix FTBFS. (Closes: #966525)

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 03 Aug 2020 00:59:17 +0100

dmagnetic (0.25-1) unstable; urgency=medium

  * Update to release 0.25.
  * Post compilation check improved

  * Internal RGB channels upgraded from 3 to 10 bit.

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 26 Jul 2020 14:26:01 +0100

dmagnetic (0.24-1) unstable; urgency=medium

  * Update to release 0.24.
  * Commodore 64 binaries can be used for playing.

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 11 Jul 2020 19:56:07 +0100

dmagnetic (0.23-1) unstable; urgency=medium

  * Update to release 0.23.
  * Introduced new graphic render modes for MS-DOS binaries

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 07 Jun 2020 23:03:53 +0100
