=== debian/changelog ===
dmagnetic (0.30-1) unstable; urgency=medium

  * Internal bugfixes
  * Fixed missing picture from 'Fish!' in C64 mode
  * New characters for the monochrome vmode

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 31 Jan 2021 14:47:30 +0100

dmagnetic (0.29-1) unstable; urgency=medium

  * AtariXL and Atari800 ATR files are used for playing
  * The new graphic mode UTF has been added
  * More users can enjoy the beautiful pictures now

 -- Thomas Dettbarn <dettus@dettus.net>  Thu, 24 Dec 2020 08:59:34 +0100

dmagnetic (0.28-1) unstable; urgency=medium

  * Spectrum128 and Spectrum+3 binaries can be used
  * Acorn Archimedes binaries can be used for playing
  * Some internal bugfixes

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 28 Nov 2020 12:48:58 +0100

dmagnetic (0.27-1) unstable; urgency=medium

  * Update to release 0.27.
  * Removed a bug that prevented loading game binaries

  * Loads binaries from Amstrad CPC, Commodore64 and MS DOS

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 01 Nov 2020 19:09:37 +0100

dmagnetic (0.26-1) unstable; urgency=medium

  * Update to release 0.26.
  * Amstrad CPC images in the DSK format can be used

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 31 Oct 2020 19:51:49 +0100
