=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thomas Dettbarn <dettus@dettus.net>
 Build-Depends: debhelper (>=12)
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.dettus.net/dMagnetic/
 
 Package: dmagnetic
