=== debian/changelog ===
dmagnetic (0.32-1) unstable; urgency=medium

  * New input format: WOZ
  * Minor bug fixes
  * Minor code cleanup

 -- Thomas Dettbarn <dettus@dettus.net>  Fri, 23 Jul 2021 00:33:15 +0200

dmagnetic (0.31-1) unstable; urgency=medium

  * New input formats: NIB and 2MG
  * Improved Sixel mode
  * New -dumpmag and -dumpgfx command line parameters
  * Moved the manpage to section 6 (games)

 -- Thomas Dettbarn <dettus@dettus.net>  Wed, 23 Jun 2021 23:22:22 +0200
