=== debian/changelog ===
dmagnetic (0.34-1) unstable; urgency=medium

  * Minor bugfixes
  * Slightly updated documentation
  * Popular feature "-nodoc" had an issue with saved games.

 -- Thomas Dettbarn <dettus@dettus.net>  Thu, 28 Apr 2022 15:26:27 +0200
