=== debian/changelog ===
dmagnetic (0.36-1) unstable; urgency=medium

  * Minor bugfixes
  * Backend engine can be encapsulated in a library
  * HelloWorld example for interested frontend developers

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 28 Jan 2023 22:52:19 +0200

dmagnetic (0.35-1) unstable; urgency=medium

  * Minor bugfixes
  * Reduced memory consumption
  * New default format for savegames
  * Better looking ANSI and ASCII output
  * Much cleaner sourcecode

 -- Thomas Dettbarn <dettus@dettus.net>  Tue, 24 Jan 2023 21:34:56 +0200
