## dmagnetic 0.37

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 #OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 PREFIX?=/usr/local
-DESTDIR?=$(PREFIX)
+DESTDIR?=/usr/local
 MYPREFIX=$(DESTDIR)
 INSTALLBIN=$(MYPREFIX)/bin
 INSTALLSHARE=$(MYPREFIX)/share/games
@@ -58,8 +58,7 @@
 	src/libdmagnetic/dMagnetic.c
 
 SOURCES_LINEA=	\
-	src/libdmagnetic/linea/gfx1loader.c	\
-	src/libdmagnetic/linea/gfx2loader.c	\
+	src/libdmagnetic/linea/gfxloader.c	\
 	src/libdmagnetic/linea/linea.c
 
 SOURCES_VM68K=	\
