=== debian/changelog ===
dmagnetic (0.37-1) unstable; urgency=medium

  * Minor bugfixes
  * Reduced memory consumption
  * Better help screens

 -- Thomas Dettbarn <dettus@dettus.net>  Tue, 16 May 2023 22:54:49 +0200
