=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Thomas Dettbarn <dettus@dettus.net>
-Build-Depends: debhelper (>=12)
+Build-Depends: debhelper-compat ( = 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://www.dettus.net/dMagnetic/
 
 Package: dmagnetic
