=== debian/watch ===
version=4
https://www.dettus.net/dMagnetic dMagnetic_(0.\d*)\.tar\.bz2
